Subject: Re: IPP> MOD - Definition for 'reverse-portrait' enum value

From: [email-masked] (Robert Herriot)
Date: Thu, 8 Jan 1998 18:55:59 -0800

Tom,

Your rewording may be OK, but I leave it to others to choose between the
two options of: 
   a) mine with the "for" clause at the beginning of the 1st sentence but with
      your other minor fixes.
   b) yours with the "for" clause at the end of the 1st sentence.

I tried various wordings and I felt that "for" clause at the beginning
made the sentence clearer.

> From [email-masked] Thu Jan  8 17:21:34 1998
> How about:
> 
> 4.2.10	orientation-requested (type2 enum)
> 
> This attribute specifies the client-requested orientation of the content 
> of the print-stream pages when they are printed for documents whose 
> content does not explicitly specify the orientation (e.g., "document-format" 
> is 'text/plain').  For documents whose content does explicitly specify the
> orientation (e.g., PostScript), this attribute SHALL have no meaning -- it
> neither alters the orientation nor specifies the existing orientation.
> 
> 
> 
> 
> At 13:29 01/08/1998 PST, Robert Herriot wrote:
> >I suggest the following wording for the paragraphs 4.2.10 that Tom wrote
> >and I enclose below:
> >
> >My wording:
> >-----------------------------------------------
> >For documents whose document-format does not explicitly specify the
> >orientation (e.g. text/plain), this attribute specifies the
> >client-requested orientation of the content of the print-stream pages
> >when they are printed. For documents whose document-format does explicitly
> >specify the orientation (e.g. PostScript), this attribute has no meaning --
> >it neither alters the orientation nor specifies the existing orientation.
> >-----------------------------------------------
> >Tom's wording:
> >
> >> From [email-masked] Wed Jan  7 18:21:58 1998
> >> Proposed new text:
> >> 
> >> 4.2.10	orientation-requested (type2 enum)
> >> 
> >> This attribute specifies the orientation of the content of the print-stream
> >> pages to be printed.  In most cases, the orientation of the content is
> >> specified within the document format generated by the device driver at
> >> print time. However, some document formats (such as 'text/plain') do not
> >> support the notion of page orientation, and it is possible to bind the
> >> orientation after the document content has been generated.  This attribute
> >> provides an end user with the means to specify orientation for such
> >> documents when the IPP Printer performs the formatting.
> >> 
> >
> >
> >
> >
> >
>

---

From: Ron Bergman <[email-masked]>
Date: Fri, 9 Jan 1998 07:39:52 -0800 (Pacific Standard Time)

I find the wording presented by Bob to be easier to read (and understand)
than the reword suggested by Tom.  Both convey the same information.

	Ron Bergman
	Dataproducts Corp.